/*
Phi-1 shield for Arduino
Test program: car backing/reverse obstacle sensor with sonic ranger v2
This is the nutshell version. For a fully interactive version with menus and adjustable parameters, visit http://liudr.wordpress.com/phi-1-shield/

Programmed by Dr. John Liu
Revision: 02/12/2011
Commerical use without authorization is prohibited.
Find details of the Phi-1 shield, Phi-2 shield or contact Dr. Liu at http://liudr.wordpress.com/phi-1-shield/
All rights reserved.

Summary:
This software alerts a driver the distance to an obstacle behind the car for parking or backing safety with both audio and LCD.

Distance sensing: 0m to 6m

List of functions:
* Display distance with audio alert.

*/

#include <LiquidCrystal.h>
#include <WProgram.h>
#include <stdio.h>
#include "defs.h"

boolean audio_alert=true; // This indicates whether audio beeps are on or off.
int on_divider=40;
int off_divider=10;
LiquidCrystal lcd(8, 9, 7, 6, 2, 4); //Phi-1 shield setting

void setup()
{
  lcd.begin(16, 2);
  lcd.clear();
  lcd.print("Sonic ranger V1");
  lcd.setCursor(0,1);
  lcd.print("Dr.Liu 02/11/11");
  delay(2000);
  lcd.clear();
  lcd.print("http://liudr.");
  lcd.setCursor(0,1);
  lcd.print("wordpress.com");
  delay(2000);
  lcd.clear();
}

void loop()
{
  while (!sonic_ranger(ch2))
  {}; // Keeps running sonic ranger until user presses a key to escape
}
